"use strict";
/*
Early experimental foreground palette;
hypothetically useful for adding disambiguation to the presence of water
in tilesets with no dedicated water art.
*/
var DATA_SDS_PALETTE_INIT = DATA_SDS_PALETTE_INIT || {};
DATA_SDS_PALETTE_INIT["sea_fg1"] = function(a,w,g,d,n){ // the name of the palette and the corresponding terrain sheet png
	return {
		width : 1, // pow(2,width) = tiles in a row
		height : 1, // pow(2,height) = tiles in a column; <= width
		detailMaps : [ // terrain detail maps used by tiles in this palette

		],
		terrain : [ // the terrain values of each tile in this palette
			a,w,
			w,w
		],
		detail : [ // the detail map indices (into detailMaps), if any, for each tile in this palette
			n,n,
			n,n
		]
	};
};
